# Uses of Interface
org.eclipse.osgi.service.resolver.BundleDelta

Packages that use BundleDelta
Package
Description
org.eclipse.osgi.service.resolver
Provides the Equinox resolver API.

## Uses of BundleDelta in org.eclipse.osgi.service.resolver

Methods in org.eclipse.osgi.service.resolver that return BundleDelta
Modifier and Type
Method
Description
`BundleDelta[]`
StateDelta.`getChanges()`
Returns an array of all the bundle deltas in this delta regardless of type.
`BundleDelta[]`
StateDelta.`getChanges(int mask, boolean exact)`
Returns an array of all the members of this delta which match the given flags.
Methods in org.eclipse.osgi.service.resolver with parameters of type BundleDelta
Modifier and Type
Method
Description
`int`
BundleDelta.`compareTo(BundleDelta obj)`
Answers an integer indicating the relative positions of the receiver and the argument in the natural order of elements of the receiver's class.